Bug 446962 - Access to firewire devices is still allowed after the device is removed from the bus.
Access to firewire devices is still allowed after the device is removed from ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Jay Fenlason
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-16 15:20 EDT by Jay Fenlason
Modified: 2014-08-31 19:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:22:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch against 2.6.25 (1.21 KB, patch)
2008-05-16 15:25 EDT, Jay Fenlason
no flags Details | Diff

  None (edit)
Description Jay Fenlason 2008-05-16 15:20:25 EDT
Description of problem:
When userspace has opened a firewire device, and then the device is removed 
from the bus, userspace can still attempt to send requests to the device.  If 
userspace guesses the correct generation, the request will go to a different 
device.

Version-Release number of selected component (if applicable):
2.6.18-92.el5

How reproducible:
Always

Steps to Reproduce:
1.Attach a firewire camera to the system.
2.Have a program open /dev/fw1 (or whatever the camera's device is).
3.Unplug the camera
4.Send a ReadQuadletRequest to the device, using the new generation
5.Observe that you get a response back from a different device.
  
Actual results:
Userspace is still allowed to make requests.  They go to a different device.

Expected results:
Userspace should get ENODEV.

Additional info:
Recently fixed upstream, but I don't have the commit to hand.
Comment 1 Jay Fenlason 2008-05-16 15:25:39 EDT
Created attachment 305728 [details]
Patch against 2.6.25
Comment 2 RHEL Product and Program Management 2008-05-16 15:41:55 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Stefan Richter 2008-06-01 05:25:04 EDT
upstream commit is 551f4cb9de716ffcdaf968c99a450c22ff12e8c3 post 2.6.26-rc3
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=551f4cb9de716ffcdaf968c99a450c22ff12e8c3
Comment 7 Don Zickus 2008-09-16 11:15:05 EDT
This fix should be included in the latest RHEL-5 kernel which can be found here:
http://people.redhat.com/dzickus/el5
Comment 12 errata-xmlrpc 2009-01-20 15:22:49 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.